.mod-printer-detail
  .breadcrumbs-and-actions
    +align-items(center)
    +display(flex)
    +justify-content(space-between)
    margin-bottom: 15px

    .mod-breadcrumbs
      margin-bottom: 0

  .columns
    +clearfix
    margin: -10px

  .printer-title
    font-size: $font-size-h1-xl

  .column
    float: left
    padding: 10px
    width: 50%

  .widget
    padding-top: 20px
    width: 100%

  .buttons
    +clearfix
    list-style: none
    margin: 0 0 10px 0
    padding: 0

    .stop
      &:before
        +icon
        +icon-x-sm

    li
      float: left
      width: 50%

      &:only-child
        width: 100%

        button
          text-align: center

    button
      background-color: #fff
      border: 1px $color-grey-border solid
      display: block
      margin-bottom: -1px
      padding: 15px 20px
      text-align: left
      width: 100%

      &:disabled
        color: lighten($color-grey-text, 30%)
        cursor: default

      &:hover:not(:disabled)
        background-color: darken(white, 2%)

      &:before
        +icon
        font-size: 15px
        margin-right: 15px

      &.abort:before
        +icon-abort

      &.blink:before
        +icon-blink

      &.disconnect:before
        +icon-disconnect

      &.connect:before
        +icon-connect

      &.connecting:before
        +icon-connect

      &.block:before
        +icon-ban

      &.unblock:before
        +icon-ban

    li:nth-child(2n) button
      border-left: none

  .widget.status
    .jobname
      +ellipsis
      margin-bottom: 10px

    .status
      color: $color-grey-text
      margin-right: 10px

    .blocked
      margin-bottom: 10px

    .status-and-progress
      +align-items(center)
      +display(flex)
      margin-bottom: 20px

    .progress-bar
      +flex-grow(1)

    &[data-state="needs_clearing"]
      .button
        background-color: $color-orange

      .clear-build-plate
        margin-top: 40px
        text-align: center

        .description
          color: $color-orange
          margin-bottom: 10px

    .eta-info
      +align-items(center)
      +display(flex)
      +justify-content(space-between)
      background-color: $color-grey-background
      margin-bottom: 20px
      padding: 10px 20px

    .print-time-left
      color: $color-black
      font-size: 16px

    .eta
      color: $color-grey-text
      font-size: 11px

    &[data-state="error"]
      .button
        background-color: $color-orange

      .status
        color: $color-orange

    &[data-state="heating"],
    &[data-state="printing"]
      .status
        color: $color-blue

  .widget.camera
    padding: 0
    position: relative

    .live
      bottom: 15px
      right: 20px

  .temperatures
    +display(flex)
    margin-top: 5px
    margin-bottom: 20px
    margin-right: -10px

    .name,
    .temperature
      flex-grow: 1
      vertical-align: top
      color: $color-grey-text
      font-family: $font-family-header

    .temperature
      font-size: 28px
      text-align: right
      color: $color-black

    .name
      position: relative
      top: -5px

    .box
      flex-grow: 1
      padding: 20px 15px
      background-color: white
      margin-right: 10px

    .header
      +display(flex)

    .material
      padding-top: 20px

      .preview
        border: 1px solid transparent
        display: inline-block
        background-color: white
        width: 10px
        height: 10px
        border-radius: 50%
        margin-right: 10px
